[arch-commits] Commit in desktop-file-utils/repos (3 files)

Alexander Fehr alexanderf at archlinux.org
Thu Jul 24 09:07:50 EDT 2008


    Date: Thursday, July 24, 2008 @ 09:07:49
  Author: alexanderf
Revision: 6471

Merged revisions 2-6470 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/desktop-file-utils/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r6463 | alexanderf | 2008-07-24 14:43:02 +0200 (Do, 24 Jul 2008) | 1 line
  
  upgpkg: desktop-file-utils 0.15-1
........

Added:
  desktop-file-utils/repos/extra-x86_64/ChangeLog
    (from rev 6463, desktop-file-utils/trunk/ChangeLog)
Modified:
  desktop-file-utils/repos/extra-x86_64/	(properties)
  desktop-file-utils/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    7 +++++++
 PKGBUILD  |   22 +++++++++++-----------
 2 files changed, 18 insertions(+), 11 deletions(-)


Property changes on: desktop-file-utils/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /desktop-file-utils/trunk:1
   + /desktop-file-utils/trunk:1-6470

Copied: desktop-file-utils/repos/extra-x86_64/ChangeLog (from rev 6463, desktop-file-utils/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-07-24 13:07:49 UTC (rev 6471)
@@ -0,0 +1,7 @@
+2008-07-22  Alexander Fehr  <pizzapunk gmail com>
+
+  * desktop-file-utils-0.15-1:
+  New upstream release.
+  New maintainer.
+  Changed url.
+  Added ChangeLog.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-24 13:01:44 UTC (rev 6470)
+++ extra-x86_64/PKGBUILD	2008-07-24 13:07:49 UTC (rev 6471)
@@ -1,20 +1,20 @@
 # $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
+
 pkgname=desktop-file-utils
-pkgver=0.14
+pkgver=0.15
 pkgrel=1
-pkgdesc="Freedesktop.org .desktop utils"
-arch=(i686 x86_64)
+pkgdesc="Command line utilities for working with desktop entries"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/desktop-file-utils"
 license=('GPL')
 depends=('glib2')
-url="http://freedesktop.org/software/desktop-file-utils"
-source=($url/releases/${pkgname}-${pkgver}.tar.gz)
-md5sums=('e0b5057a4e3166f34635ac6f27c712c0')
+source=(http://www.freedesktop.org/software/desktop-file-utils/releases/desktop-file-utils-$pkgver.tar.gz)
+md5sums=('2fe8ebe222fc33cd4a959415495b7eed')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc
+  cd "$srcdir/desktop-file-utils-$pkgver"
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="$pkgdir" install || return 1
 }
-





More information about the arch-commits mailing list